Adding upstream version 0.1+svn20081206.
[debian/lxsession-edit.git] / configure.in
1 dnl Process this file with autoconf to produce a configure script.
2
3 AC_INIT(configure.in)
4 AM_INIT_AUTOMAKE(lxsession-edit, 0.1)
5 AM_CONFIG_HEADER(config.h)
6 AM_MAINTAINER_MODE
7
8 AC_ISC_POSIX
9 AC_PROG_CC
10 AM_PROG_CC_STDC
11 AM_PROG_CC_C_O
12 AC_HEADER_STDC
13
14 gtk_modules="gtk+-2.0 >= 2.12.0"
15 PKG_CHECK_MODULES(GTK, [$gtk_modules])
16 AC_SUBST(GTK_CFLAGS)
17 AC_SUBST(GTK_LIBS)
18
19 # Gtk Builder
20 AC_PATH_PROG([GTK_BUILDER_CONVERT],[gtk-builder-convert],[false])
21 if test "$GTK_BUILDER_CONVERT" = "false"; then
22   AC_MSG_ERROR([gtk-builder-convert not found])
23 fi
24
25 GETTEXT_PACKAGE=lxsession-edit
26 AC_SUBST(GETTEXT_PACKAGE)
27 AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [Gettext package.])
28
29 dnl Add the languages which your application supports here.
30 ALL_LINGUAS="zh_TW fi"
31 AM_GLIB_GNU_GETTEXT
32
33 AC_OUTPUT([
34 Makefile
35 src/Makefile
36 po/Makefile.in
37 lxsession-edit.desktop
38 ])
39